<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Информация';
head();
aut();
levels(7);
who_add(0,'enter');


switch($mod){
default:
echo '&#187; <a href="infa?mod=news">Новости</a><br />';
echo '&#187; <a href="infa?mod=vstr">Встречи</a><br />';
echo '&#187; <a href="infa?mod=akcyi">Акции</a><br />';
echo '&#187; <a href="infa?mod=konkurs">Конкурсы</a><br />';
break;

case 'news':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `news` WHERE `id` = '".check(intval($_GET['delk']))."'");
$db->sql_query("DELETE FROM `newskom` WHERE `new` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить новость</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from news"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from news order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Новостей нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Новость:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Новость:<br /><input name="msg'.$ref.'" title="Новость"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
if (strlen2($msg)<5){echo 'Новость слишком короткая!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query ("INSERT INTO news (user_id,time,msg) VALUES ('$user[id]','$time','$msg')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';

}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from news where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Новость:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a[msg],false,true,false,false,false).'</textarea><br />';echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Новость:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Новость"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
if (strlen2($msg)<5){echo 'Новость слишком короткая!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `news` SET `msg` = '$msg' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;

case 'vstr':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `vstr` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить встречу</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from vstr"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from vstr order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Встреч нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);
echo '<br />Организаторы:'.$a['org'].'';

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Встреча:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Встреча:<br /><input name="msg'.$ref.'" title="Встреча"/><br/>';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Встреча слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($db->sql_query ("INSERT INTO vstr (user_id,time,msg,org) VALUES ('$user[id]','$time','$msg','$org')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';

}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from vstr where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Встреча:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a['msg'],false,true,false,false,false).'</textarea><br />';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Встреча:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Новость"/><br/>';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Встреча слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `vstr` SET `msg` = '$msg', `org` = '$org' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;


case 'akcyi':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `akcyi` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить акцию</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from akcyi"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from akcyi order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Акций нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);
echo '<br />Организаторы:'.$a['org'].'';

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Акция:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Акция:<br /><input name="msg'.$ref.'" title="Акция"/><br/>';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Акция слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($db->sql_query ("INSERT INTO akcyi (user_id,time,msg,org) VALUES ('$user[id]','$time','$msg','$org')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';

}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from akcyi where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Акция:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a['msg'],false,true,false,false,false).'</textarea><br />';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Акция:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Акция"/><br/>';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Акция слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `akcyi` SET `msg` = '$msg', `org` = '$org' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;

case 'konkurs':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `konkurs` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить конкурс</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from konkurs"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from konkurs order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Конкурсов нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);
echo '<br />Организаторы:'.$a['org'].'';

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Конкурс:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Конкурс:<br /><input name="msg'.$ref.'" title="Конкурс"/><br/>';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Конкурс слишком короткий!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($db->sql_query ("INSERT INTO konkurs (user_id,time,msg,org) VALUES ('$user[id]','$time','$msg','$org')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';

}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from konkurs where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Конкурс:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a['msg'],false,true,false,false,false).'</textarea><br />';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Конкурс:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Конкурс"/><br/>';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Конкурс слишком короткий!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `konkurs` SET `msg` = '$msg', `org` = '$org' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;

}
echo '<br />';
if ($mod)echo gb.'<a href="infa">Информация</a>'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>